package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLEMediaConfig {
    public transient long LIZ;
    public transient boolean LIZIZ;

    static {
        Covode.recordClassIndex(29814);
    }

    public void finalize() {
        LIZJ();
    }

    public NLEMediaConfig() {
        this(NLEMediaJniJNI.new_NLEMediaConfig());
        MethodCollector.i(9729);
        MethodCollector.o(9729);
    }

    public final NLEVEUserConfig LIZ() {
        MethodCollector.i(9539);
        long NLEMediaConfig_nleVEUserConfig_get = NLEMediaJniJNI.NLEMediaConfig_nleVEUserConfig_get(this.LIZ, this);
        if (NLEMediaConfig_nleVEUserConfig_get == 0) {
            MethodCollector.o(9539);
            return null;
        }
        NLEVEUserConfig nLEVEUserConfig = new NLEVEUserConfig(NLEMediaConfig_nleVEUserConfig_get);
        MethodCollector.o(9539);
        return nLEVEUserConfig;
    }

    public final NLEMediaABConfig LIZIZ() {
        MethodCollector.i(9540);
        long NLEMediaConfig_nleMediaAbConfig_get = NLEMediaJniJNI.NLEMediaConfig_nleMediaAbConfig_get(this.LIZ, this);
        if (NLEMediaConfig_nleMediaAbConfig_get == 0) {
            MethodCollector.o(9540);
            return null;
        }
        NLEMediaABConfig nLEMediaABConfig = new NLEMediaABConfig(NLEMediaConfig_nleMediaAbConfig_get);
        MethodCollector.o(9540);
        return nLEMediaABConfig;
    }

    private synchronized void LIZJ() {
        MethodCollector.i(8962);
        long j = this.LIZ;
        if (j != 0) {
            if (this.LIZIZ) {
                this.LIZIZ = false;
                NLEMediaJniJNI.delete_NLEMediaConfig(j);
            }
            this.LIZ = 0;
        }
        MethodCollector.o(8962);
    }

    public final void LIZ(String str) {
        MethodCollector.i(9142);
        NLEMediaJniJNI.NLEMediaConfig_workSpace_set(this.LIZ, this, str);
        MethodCollector.o(9142);
    }

    public NLEMediaConfig(long j) {
        this.LIZIZ = true;
        this.LIZ = j;
    }

    public final void LIZ(LogLevel logLevel) {
        MethodCollector.i(9340);
        NLEMediaJniJNI.NLEMediaConfig_mediaLogLevel_set(this.LIZ, this, logLevel.swigValue());
        MethodCollector.o(9340);
    }

    public final void LIZ(boolean z) {
        MethodCollector.i(9341);
        NLEMediaJniJNI.NLEMediaConfig_enableLogExecutor_set(this.LIZ, this, z);
        MethodCollector.o(9341);
    }
}
